Subject: RE: [Sip] I-D ACTION:draft-ietf-sip-connected-identity-03.txt

From: "Elwell, John" <[email-masked]>
Date: Wed, 10 Jan 2007 08:18:47 +0000

This has been updated following the San Diego meeting and taking into
account post-WGLC comments from JDR. As far as I am concerned all open
issues are resolved and it is ready for forwarding (it has been through
WGLC). The main changes from 02 are as follows:

- Numerous nits and minor editorial improvements
- Addition of a few explanatory notes
- Reformulation of 1st para of Intro
- In section 4.4.1, revised text on populating From and To header field URIs
- In section 4.4.2, revised text on updating the remote URI
- In section 4.7, simplified proxy behaviour text
- In section 5.2, improved description of the example
- In section 4.6, verifier behaviour re-aligned with RFC 4474
- In section 4.4.1, recommendation to regard the dialog as terminated if
428, 436, 437 or 438 is received in response to mid-dialog request

These last two points constitute resolution of the open issue discussed in
San Diego.

The signatures in the Identity header fields in the examples will need to be
recalculated before publication.

John

> -----Original Message-----
> From: [email-masked] [mailto:[email-masked]] 
> Sent: 09 January 2007 23:50
> To: [email-masked]
> Cc: [email-masked]
> Subject: [Sip] I-D ACTION:draft-ietf-sip-connected-identity-03.txt
> 
> A New Internet-Draft is available from the on-line Internet-Drafts 
> directories.
> This draft is a work item of the Session Initiation Protocol 
> Working Group of the IETF.
> 
> 	Title		: Connected Identity in the Session 
> Initiation Protocol (SIP)
> 	Author(s)	: J. Elwell
> 	Filename	: draft-ietf-sip-connected-identity-03.txt
> 	Pages		: 24
> 	Date		: 2007-1-9
> 	
> Because of retargeting of a Session Initiation Protocol (SIP) dialog-
>    forming request (changing the value of the Request-URI), the User
>    Agent Server (UAS) can have a different identity from that 
> in the To
>    header field.  This document provides a means for that User Agent
>    (UA) to supply its identity to the peer UA by means of a request in
>    the reverse direction and for that identity to be signed by an
> 
>    Authentication Service.  The same mechanism can be used to 
> indicate a
>    change of identity during a dialog, e.g., because of some action in
>    the Public Switched Telephone Network (PSTN) behind a 
> gateway.  This
>    document normatively updates RFC 3261 (SIP).
> 
> A URL for this Internet-Draft is:
> http://www.ietf.org/internet-drafts/draft-ietf-sip-connected-i
> dentity-03.txt
> 
> To remove yourself from the I-D Announcement list, send a message to 
> [email-masked] with the word unsubscribe in 
> the body of 
> the message. 
> You can also visit 
> https://www1.ietf.org/mailman/listinfo/I-D-announce 
> to change your subscription settings.
> 
> Internet-Drafts are also available by anonymous FTP. Login with the 
> username "anonymous" and a password of your e-mail address. After 
> logging in, type "cd internet-drafts" and then 
> "get draft-ietf-sip-connected-identity-03.txt".
> 
> A list of Internet-Drafts directories can be found in
> http://www.ietf.org/shadow.html 
> or ftp://ftp.ietf.org/ietf/1shadow-sites.txt
> 
> Internet-Drafts can also be obtained by e-mail.
> 
> Send a message to:
> 	[email-masked].
> In the body type:
> 	"FILE 
> /internet-drafts/draft-ietf-sip-connected-identity-03.txt".
> 	
> NOTE:	The mail server at ietf.org can return the document in
> 	MIME-encoded form by using the "mpack" utility.  To use this
> 	feature, insert the command "ENCODING mime" before the "FILE"
> 	command.  To decode the response(s), you will need "munpack" or
> 	a MIME-compliant mail reader.  Different MIME-compliant 
> mail readers
> 	exhibit different behavior, especially when dealing with
> 	"multipart" MIME messages (i.e. documents which have been split
> 	up into multiple messages), so check your local documentation on
> 	how to manipulate these messages.
> 
> Below is the data which will enable a MIME compliant mail reader
> implementation to automatically retrieve the ASCII version of the
> Internet-Draft.
> 

_______________________________________________
Sip mailing list  https://www1.ietf.org/mailman/listinfo/sip
This list is for NEW development of the core SIP Protocol
Use [email-masked] for questions on current sip
Use [email-masked] for new developments on the application of sip

---

From: "Drage, Keith \(Keith\)" <[email-masked]>
Date: Wed, 10 Jan 2007 12:47:31 +0100

(As WG chair)

This document has been through WGLC and at IETF #67 people seemed to
think we were pretty much finished apart from the discussion point that
took place in IETF #67.

I therefore intend to give a few days for people to check their
understanding of resolution of the issues discussed in IETF#67 is
correctly documented, and then send this document to the IESG.

Please therefore comment by say end Tuesday 16th January if you have any
concerns. If you consider an extension is needed please request. No
comments and no request for extension means this version (or an update
to recalculate the examples) goes to IESG.

Regards

Keith

> From: Elwell, John [mailto:[email-masked]] 
> Sent: 10 January 2007 08:19
> To: [email-masked]
> Subject: RE: [Sip] I-D ACTION:draft-ietf-sip-connected-identity-03.txt
> 
> This has been updated following the San Diego meeting and 
> taking into account post-WGLC comments from JDR. As far as I 
> am concerned all open issues are resolved and it is ready for 
> forwarding (it has been through WGLC). The main changes from 
> 02 are as follows:
> 
> - In section 4.4.1, recommendation to regard the dialog as 
> terminated if 428, 436, 437 or 438 is received in response to 
> mid-dialog request
> 
> These last two points constitute resolution of the open issue 
> discussed in San Diego.
> 
> The signatures in the Identity header fields in the examples 
> will need to be recalculated before publication.
> 
> John
>  
> 
> > This draft is a work item of the Session Initiation 
> Protocol Working 
> > Group of the IETF.
> > 
> >    Agent Server (UAS) can have a different identity from 
> that in the 
> > To
> >    Authentication Service.  The same mechanism can be used 
> to indicate 
> > a
> >    the Public Switched Telephone Network (PSTN) behind a gateway.  
> > This
> > logging in, type "cd internet-drafts" and then "get 
> > draft-ietf-sip-connected-identity-03.txt".
> > 
> > http://www.ietf.org/shadow.html or 
> > ftp://ftp.ietf.org/ietf/1shadow-sites.txt
> > 
> This list is for NEW development of the core SIP Protocol Use 
> [email-masked] for questions on current sip